Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.buildin.hardmediumsoft
Class HardMediumSoftScoreHolder

    java.lang.Object
      org.optaplanner.core.api.score.holder.AbstractScoreHolder
          org.optaplanner.core.api.score.buildin.hardmediumsoft.HardMediumSoftScoreHolder

All Implemented Interfaces:
  Serializable, ScoreHolder

    public class HardMediumSoftScoreHolder

extends AbstractScoreHolder

See Also:
  `HardMediumSoftScore`, Serialized Form

Field Summary
`protected int` | `hardScore`
`protected int` | `mediumScore`
`protected int` | `softScore`

Fields inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`constraintMatchEnabled, constraintMatchTotalMap`

Constructor Summary
`HardMediumSoftScoreHolder(boolean constraintMatchEnabled)`

Method Summary
`void` | `addHardConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, int weight)`
`void` | `addMediumConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, int weight)`
`void` | `addSoftConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, int weight)`
`Score` | `extractScore()` Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`.
`int` | `getHardScore()`
`int` | `getMediumScore()`
`int` | `getSoftScore()`
`void` | `setHardScore(int hardScore)` Deprecated.
`void` | `setMediumScore(int mediumScore)` Deprecated.
`void` | `setSoftScore(int softScore)` Deprecated.

Methods inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`getConstraintMatchTotals, isConstraintMatchEnabled, registerBigDecimalConstraintMatch, registerDoubleConstraintMatch, registerIntConstraintMatch, registerLongConstraintMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hardScore

    protected int hardScore

### mediumScore

    protected int mediumScore

### softScore

    protected int softScore

Constructor Detail

### HardMediumSoftScoreHolder

    public HardMediumSoftScoreHolder(boolean constraintMatchEnabled)

Method Detail

### getHardScore

    public int getHardScore()

### setHardScore

    @Deprecated
    public void setHardScore(int hardScore)

  Deprecated.

### getMediumScore

    public int getMediumScore()

### setMediumScore

    @Deprecated
    public void setMediumScore(int mediumScore)

  Deprecated.

### getSoftScore

    public int getSoftScore()

### setSoftScore

    @Deprecated
    public void setSoftScore(int softScore)

  Deprecated.

### addHardConstraintMatch

    public void addHardConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                       int weight)

### addMediumConstraintMatch

    public void addMediumConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                         int weight)

### addSoftConstraintMatch

    public void addSoftConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                       int weight)

### extractScore

    public Score extractScore()

  Description copied from interface: `ScoreHolder`
  Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`. Should not be called directly, use `ScoreDirector.calculateScore()` instead.

  Returns:
    never null, the `Score` of the working `Solution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.